#include<stdio.h>
#include<string.h>
#include<jansson.h>

void read_json_file(char file_name[])
{
        FILE *file = fopen(file_name,"r");
        if(file) {
                char buffer[500];
                char json[5000]={'\0'};
                while(fgets(buffer,sizeof(buffer),file)) {
                        //To nie jest bezpieczne rozwiązanie.
                        strncat(json,buffer,strlen(buffer));
                }
                printf("%s",json);
                json_error_t exception;
                json_t *root = json_loads(json,0,&exception);
                if(root) {
                        if(json_typeof(root)==JSON_OBJECT) {
                                const char *key;
                                json_t *value;
                                json_object_foreach(root,key,value) {
                                        printf("klucz: %s\n",key);
                                        printf("wartość: %f\n",json_real_value(value));
                                }
                        }
                        json_decref(root);
                } else {
                        fprintf(stderr,"Błąd przetwarzania JSON w wierszu nr %d, tekst: %s\n",exception.line,exception.text);
                }
                if(fclose(file))
                        perror("fclose()");
        } else
        perror("fopen()");
}


int main(int argc, char **argv)
{
        if(argc==2) {
                read_json_file(argv[1]);
        }
        return 0;
}
