package pl.kielce.tu;

import com.jsoniter.JsonIterator;
import com.jsoniter.any.Any;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;

public class JSONParser {
    public static void main(String[] args) {
        if(args.length==1) {
            try(BufferedReader reader = new BufferedReader(new FileReader(args[0]))) {
                StringBuilder builder = new StringBuilder();
                reader.lines().forEach(builder::append);
                String text = builder.toString();
                Any json = JsonIterator.deserialize(text);
                System.out.println(json);
                System.out.println(json.get("role"));
                System.out.println(json.toString());
            } catch(IOException exception) {
                exception.printStackTrace();
            }
        }
    }
}
